components/com_jshopping/lib/multilangfield.php on line 11

StartZurück 1 2 WeiterEnde
18.05.2017 08:05
#1
Romuba
User Romuba
Name: Ross Bartholomew
11.05.2011
Posts: 34
Quote
components/com_jshopping/lib/multilangfield.php on line 11

I have upgrade my Joomla site to 3.7.1
Upgraded PHP to 7.0.19
Upgraded Joomshopping to 4.16.1

Now I get the following error on the frontend:
components/com_jshopping/lib/multilangfield.php on line 11


Website is: http://pakmed.co.za/


Joomla: 3.7.1
JoomShopping: 4.16.1
PHP: 7.0.19
MySQL: 5.6.34-79
Website Url: http://pakmed.co.za
 
18.05.2017 08:12
#2
admin
(Support Team)
User admin
Name: Admin
05.08.2010
Posts: 19363
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

bug fixed in 4.13... or later

Not bug in 4.16.1

Need update file to new version
copy from
https://www.webdesigner-profi.de/joomla-webdesign/joomla-shop/downloads/JoomShopping-4.16.1.zip.html

to your server.


Letzte Änderung: 18.05.2017 08:13
 
18.05.2017 08:27
#3
Romuba
User Romuba
Name: Ross Bartholomew
11.05.2011
Posts: 34
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

I thought I had updated to this latest version, but now when I tried again I see that I get this message:
Warning: File /home/poolren/public_html/tmp/JoomShopping-4.16.1.zip not uploaded for security reasons!


 
18.05.2017 08:38
#4
admin
(Support Team)
User admin
Name: Admin
05.08.2010
Posts: 19363
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

current version joomshopping?

 
18.05.2017 09:26
#5
Romuba
User Romuba
Name: Ross Bartholomew
11.05.2011
Posts: 34
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

4.9.2

 
18.05.2017 11:25
#6
admin
(Support Team)
User admin
Name: Admin
05.08.2010
Posts: 19363
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

1.
https://www.webdesigner-profi.de/joomla-webdesign/joomla-shop/forum/posts/33/3844.html?lang=en&start=20#24

2. update step to step

https://www.webdesigner-profi.de/joomla-webdesign/joomla-shop/forum/posts/7/286.html?lang=en


Letzte Änderung: 18.05.2017 11:26
 
18.05.2017 13:03
#7
Romuba
User Romuba
Name: Ross Bartholomew
11.05.2011
Posts: 34
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

I tried to upload the version immediately after the one currently installed and I once again got the error:

http://my.jetscreenshot.com/28589/20170518-gxox-38kb

 
18.05.2017 15:38
#8
admin
(Support Team)
User admin
Name: Admin
05.08.2010
Posts: 19363
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

screenshot not works .
Upload image to forum

 
18.05.2017 16:55
#9
Romuba
User Romuba
Name: Ross Bartholomew
11.05.2011
Posts: 34
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

File attached.
Aw: components/com_jshopping/lib/multilangfield.php on line 11

 
18.05.2017 16:58
#10
admin
(Support Team)
User admin
Name: Admin
05.08.2010
Posts: 19363
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

1.
Fix update manual

Bug in joomshopping (for joomla 3.4.4)
administrator\components\com_jshopping\controllers\update.php

row 68

$uploaded = JFile::upload($tmp_src, $tmp_dest);

change to

$uploaded = JFile::upload($tmp_src, $tmp_dest, false, true);

 
18.05.2017 18:01
#11
Romuba
User Romuba
Name: Ross Bartholomew
11.05.2011
Posts: 34
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

I made that change and now I get the attached message when I try and update through Joomla. I initially tried through the Install section of Joomhopping but that message told me to use Joomla Install.
Aw: components/com_jshopping/lib/multilangfield.php on line 11

 
19.05.2017 08:08
#12
admin
(Support Team)
User admin
Name: Admin
05.08.2010
Posts: 19363
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

1. download update
https://www.webdesigner-profi.de/joomla-webdesign/joomla-shop/downloads/updates.html

 
19.05.2017 10:00
#13
Romuba
User Romuba
Name: Ross Bartholomew
11.05.2011
Posts: 34
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

I tried to update using the JoomShopping-update-4.9.2-4.10.0.zip package but got the following:
Aw: components/com_jshopping/lib/multilangfield.php on line 11

 
19.05.2017 10:08
#14
FrankG.
User FrankG.
Name: Frank
30.11.2011
Posts: 1395
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

https://www.webdesigner-profi.de/joomla-webdesign/joomla-shop/forum/posts/7/286.html

 
19.05.2017 16:11
#15
admin
(Support Team)
User admin
Name: Admin
05.08.2010
Posts: 19363
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

Romuba - 19.05.2017 10:00
I tried to update using the JoomShopping-update-4.9.2-4.10.0.zip package but got the following:
Aw: components/com_jshopping/lib/multilangfield.php on line 11


Use joomshopping for update (only after 4.15.1 - need use joomla)

 
22.05.2017 13:38
#16
Romuba
User Romuba
Name: Ross Bartholomew
11.05.2011
Posts: 34
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

Please give clear instructions as to what I must do. Sending me to another post doesn't help since there are many things there and I don't know which to work with.

I have tried, via FTP, to reinstall version 4.9.2. I copied the admin and site files across. Still cannot update using the package JoomShopping-update-4.9.2-4.10.0.zip

What do I need to do?

 
22.05.2017 16:53
#17
admin
(Support Team)
User admin
Name: Admin
05.08.2010
Posts: 19363
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

1. change file
administrator\components\com_jshopping\controllers\update.php

row 68

$uploaded = JFile::upload($tmp_src, $tmp_dest);

change to

$uploaded = JFile::upload($tmp_src, $tmp_dest, false, true);

2. Joomshopping / install & update
Component Update 4.9.2 -> 4.10.0
Component Update 4.10.0 -> 4.10.1
....


Letzte Änderung: 22.05.2017 16:54
 
22.05.2017 18:04
#18
Romuba
User Romuba
Name: Ross Bartholomew
11.05.2011
Posts: 34
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

I updated the update.php file. The line on my side was 67.

When I then tried to install the version JoomShopping-update-4.9.2-4.10.0.zip I get the following, see attached image.
Aw: components/com_jshopping/lib/multilangfield.php on line 11

 
22.05.2017 19:27
#19
FrankG.
User FrankG.
Name: Frank
30.11.2011
Posts: 1395
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

Hello Ross,

Important...

JoomShopping install package, example -> JoomShopping-4.16.1.zip -> install = Joomla installer
Joomla Admin -> Extensions -> Manage

JoomShopping update package example -> JoomShopping-update-4.9.2-4.10.0.zip -> install = JoomShopping
Joomla Admin -> Components -> JoomShopping -> Install & Update

 
22.05.2017 20:11
#20
Romuba
User Romuba
Name: Ross Bartholomew
11.05.2011
Posts: 34
Quote
Aw: components/com_jshopping/lib/multilangfield.php on line 11

I really wish that this system could be a little less frustrating.

I presume you are telling me in the last post that older versions need to be updated via Joomshopping and newer updates via Joomla install.

I tried to install the first one and it seemed to work but when I check the version via Extensions> Manage> Manage it still shows as the old version 4.9.2. When I look at the version in Components> Joomshopping> About it shows the version as 4.10.0

When I try and install the next update I again hit the error messages.

Why is this the only extension I have that is such a huge mission to update? Please help me get this sorted out!

 
StartZurück 1 2 WeiterEnde


Copyrights MAXXmarketing GmbH. All Rights Reserved
Durch die Nutzung dieser Website stimme ich zu, dass Cookies zur optimalen Gestaltung der Website sowie zur Analyse der Nutzung der Website verwendet werden. Weiterführende Informationen finden Sie hier. OK, einverstanden.